<?php

/**
 *
 * A collection of functions for managing nodes
 *
 * @author Peter C. Verhage <peter@ibuildings.nl>
 * @version $Revision: 4.5 $
 *
 * $Id: atknodetools.inc,v 4.5 2001/10/26 11:59:03 ivo Exp $
 *
 */

  /**
   * Register a node in the main application
   * @param $node name of the node
   * @param $action array with actions that can be performed on the node
   */
  function registerNode($node, $action)
  {
    global $g_nodes;
    $module = getNodeModule($node);
    $type = getNodeType($node);
    
    if ($module=="") $module="main";    
    $g_nodes[$module][$type] = $action;
  }

?>